Qt Cryptographic Architecture: QCA::Hex Class Reference

Qt Cryptographic Architecture

Public Member Functions | List of all members
QCA::Hex Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::Hex:
[legend]

## Public Member Functions
virtual void | clear ()
virtual MemoryRegion | final ()
| Hex (Direction dir=Encode)
virtual bool | ok () const
virtual MemoryRegion | update (const MemoryRegion &a)
Public Member Functions inherited from QCA::TextFilter
QString | arrayToString (const MemoryRegion &a)
MemoryRegion | decode (const MemoryRegion &a)
QString | decodeString (const QString &s)
Direction | direction () const
MemoryRegion | encode (const MemoryRegion &a)
QString | encodeString (const QString &s)
void | setup (Direction dir)
MemoryRegion | stringToArray (const QString &s)
| TextFilter (Direction dir)
Public Member Functions inherited from QCA::Filter
MemoryRegion | process (const MemoryRegion &a)

## Additional Inherited Members
Protected Attributes inherited from QCA::TextFilter
Direction | _dir

## Detailed Description

Hexadecimal encoding / decoding.

Examples:
  hextest.cpp, and randomtest.cpp.

## Constructor & Destructor Documentation

## ◆ Hex()

QCA::Hex::Hex | ( | Direction | dir = `Encode` | ) |

Standard constructor.

Parameters

  dir | the Direction that should be used.

Note
  The direction can be changed using the setup() call.

## Member Function Documentation

## ◆ clear()

virtual void QCA::Hex::clear | ( |  | ) |
| virtual

Reset the internal state.

This is useful to reuse an existing Hex object

Implements QCA::Filter.

## ◆ update()

virtual MemoryRegion QCA::Hex::update | ( | const MemoryRegion & | a | ) |
| virtual

Process more data, returning the corresponding encoded or decoded (depending on the Direction set in the constructor or setup() call) representation.

If you find yourself with code that only calls this method once, you might be better off using encode() or decode(). Similarly, if the data is really a string, you might be better off using arrayToString(), encodeString(), stringToArray() or decodeString().

Parameters

  a | the array containing data to process

Implements QCA::Filter.

## ◆ final()

virtual MemoryRegion QCA::Hex::final | ( |  | ) |
| virtual

Complete the algorithm.

Returns
  any remaining output. Because of the way hexadecimal encoding works, this will return a zero length array - any output will have been returned from the update() call.

Implements QCA::Filter.

## ◆ ok()

virtual bool QCA::Hex::ok | ( |  | ) | const
| virtual

Test if an update() or final() call succeeded.

Returns
  true if the previous call succeeded

Implements QCA::Filter.

The documentation for this class was generated from the following file:

- qca_textfilter.h